Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsRectItem

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractGraphicsShapeItem
                  com.trolltech.qt.gui.QGraphicsRectItem

All Implemented Interfaces:
  QGraphicsItemInterface, QtJambiInterface

    public class QGraphicsRectItem

extends QAbstractGraphicsShapeItem

The `QGraphicsRectItem` class provides a rectangle item that you can add to a `QGraphicsScene`.

To set the item's rectangle, pass a `QRectF` to `QGraphicsRectItem`'s constructor, or call the `setRect` function. The `rect` function returns the current rectangle.

`QGraphicsRectItem` uses the rectangle and the pen width to provide a reasonable implementation of `boundingRect`, `shape`, and `contains`. The `paint` function draws the rectangle using the item's associated pen and brush, which you can set by calling the `setPen` and `setBrush` functions.

See Also:
  `QGraphicsPathItem`, `QGraphicsEllipseItem`, `QGraphicsPolygonItem`, `QGraphicsTextItem`, `QGraphicsLineItem`, `QGraphicsPixmapItem`, The Graphics View Framework

Nested Class Summary
`static class` | `QGraphicsRectItem.enum_1` Press link for info on QGraphicsRectItem.enum_1

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QGraphicsRectItem()` Equivalent to `QGraphicsRectItem`(, 0).
`QGraphicsRectItem(double x, double y, double w, double h)` Creates a new QGraphicsRectItem of which top-left corner is (`x`, `y`), width is `w`, and height is `h`.
`QGraphicsRectItem(double x, double y, double w, double h, QGraphicsItemInterface parent)` Creates a new QGraphicsRectItem of which top-left corner is (`x`, `y`), width is `w`, and height is `h`.
`QGraphicsRectItem(double x, double y, double w, double h, QGraphicsItemInterface parent, QGraphicsScene scene)` Creates a new QGraphicsRectItem of which top-left corner is (`x`, `y`), width is `w`, and height is `h`.
`QGraphicsRectItem(QGraphicsItemInterface parent)` Equivalent to `QGraphicsRectItem`(`parent`, 0).
`QGraphicsRectItem(QGraphicsItemInterface parent, QGraphicsScene scene)` Constructs a `QGraphicsRectItem`, using `parent` as the default rectangle.
`QGraphicsRectItem(QRectF rect)` Creates a new QGraphicsRectItem with the specified bounds `rect`.
`QGraphicsRectItem(QRectF rect, QGraphicsItemInterface parent)` Creates a new QGraphicsRectItem with the specified bounds `rect` and `parent`.
`QGraphicsRectItem(QRectF rect, QGraphicsItemInterface parent, QGraphicsScene scene)` Creates a new QGraphicsRectItem with the specified bounds `rect`, `parent`, and then adds it to `scene`.

Method Summary
`QRectF` | `boundingRect()` This function is reimplemented for internal reasons.
`boolean` | `contains(QPointF point)` This function is reimplemented for internal reasons.
`java.lang.Object` | `extension(java.lang.Object variant)` This function is reimplemented for internal reasons.
`static QGraphicsRectItem` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QGraphicsRectItem instance pointed to by nativePointer
`boolean` | `isObscuredBy(QGraphicsItemInterface item)` This function is reimplemented for internal reasons.
`QPainterPath` | `opaqueArea()` This function is reimplemented for internal reasons.
`void` | `paint(QPainter painter, QStyleOptionGraphicsItem option, QWidget widget)` This function is reimplemented for internal reasons.
`QRectF` | `rect()` Returns the item's rectangle.
`void` | `setExtension(QGraphicsItem.Extension extension, java.lang.Object variant)`
`void` | `setRect(double x, double y, double w, double h)` Sets the item's rectangle to the rectangle defined by (`x`, `y`) and the given `w` and `h`.
`void` | `setRect(QRectF rect)` Sets the item's rectangle to be the given `rect`.
`QPainterPath` | `shape()` This function is reimplemented for internal reasons.
`boolean` | `supportsExtension(QGraphicsItem.Extension extension)`
`int` | `type()` This function is reimplemented for internal reasons.

Methods inherited from class com.trolltech.qt.gui.QAbstractGraphicsShapeItem
`acceptDrops, acceptedMouseButtons, acceptsHoverEvents, addToIndex, advance, brush, childItems, childrenBoundingRect, clearFocus, collidesWithItem, collidesWithPath, collidingItems, contextMenuEvent, cursor, data, deviceTransform, dragEnterEvent, dragLeaveEvent, dragMoveEvent, dropEvent, ensureVisible, ensureVisible, flags, focusInEvent, focusOutEvent, group, handlesChildEvents, hasCursor, hasFocus, hide, hoverEnterEvent, hoverLeaveEvent, hoverMoveEvent, inputMethodEvent, inputMethodQuery, installSceneEventFilter, isAncestorOf, isEnabled, isObscured, isObscured, isObscured, isSelected, isVisible, itemChange, keyPressEvent, keyReleaseEvent, mapFromItem, mapFromItem, mapFromItem, mapFromItem, mapFromItem, mapFromItem, mapFromParent, mapFromParent, mapFromParent, mapFromParent, mapFromParent, mapFromParent, mapFromScene, mapFromScene, mapFromScene, mapFromScene, mapFromScene, mapFromScene, mapToItem, mapToItem, mapToItem, mapToItem, mapToItem, mapToItem, mapToParent, mapToParent, mapToParent, mapToParent, mapToParent, mapToParent, mapToScene, mapToScene, mapToScene, mapToScene, mapToScene, mapToScene, mouseDoubleClickEvent, mouseMoveEvent, mousePressEvent, mouseReleaseEvent, moveBy, parentItem, pen, pos, prepareGeometryChange, removeFromIndex, removeSceneEventFilter, resetTransform, rotate, scale, scene, sceneBoundingRect, sceneEvent, sceneEventFilter, scenePos, sceneTransform, setAcceptDrops, setAcceptedMouseButtons, setAcceptsHoverEvents, setBrush, setCursor, setData, setEnabled, setFlag, setFlags, setFocus, setGroup, setHandlesChildEvents, setParentItem, setPen, setPos, setPos, setSelected, setToolTip, setTransform, setVisible, setZValue, shear, show, toolTip, topLevelItem, transform, translate, unsetCursor, update, update, wheelEvent, x, y, zValue`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QGraphicsRectItem

    public QGraphicsRectItem(double x,
                             double y,
                             double w,
                             double h,
                             QGraphicsItemInterface parent)

  Creates a new QGraphicsRectItem of which top-left corner is (`x`, `y`), width is `w`, and height is `h`. It will have the specified `parent`.

### QGraphicsRectItem

    public QGraphicsRectItem(double x,
                             double y,
                             double w,
                             double h)

  Creates a new QGraphicsRectItem of which top-left corner is (`x`, `y`), width is `w`, and height is `h`.

### QGraphicsRectItem

    public QGraphicsRectItem(double x,
                             double y,
                             double w,
                             double h,
                             QGraphicsItemInterface parent,
                             QGraphicsScene scene)

  Creates a new QGraphicsRectItem of which top-left corner is (`x`, `y`), width is `w`, and height is `h`. It will have the specified `parent` and `scene`.

### QGraphicsRectItem

    public QGraphicsRectItem(QGraphicsItemInterface parent)

  Equivalent to `QGraphicsRectItem`(`parent`, 0).

### QGraphicsRectItem

    public QGraphicsRectItem()

  Equivalent to `QGraphicsRectItem`(, 0).

### QGraphicsRectItem

    public QGraphicsRectItem(QGraphicsItemInterface parent,
                             QGraphicsScene scene)

  Constructs a `QGraphicsRectItem`, using `parent` as the default rectangle. `scene` is passed to `QAbstractGraphicsShapeItem`'s constructor.

  See Also:
    `QGraphicsScene::addItem`

### QGraphicsRectItem

    public QGraphicsRectItem(QRectF rect,
                             QGraphicsItemInterface parent)

  Creates a new QGraphicsRectItem with the specified bounds `rect` and `parent`.

### QGraphicsRectItem

    public QGraphicsRectItem(QRectF rect)

  Creates a new QGraphicsRectItem with the specified bounds `rect`.

### QGraphicsRectItem

    public QGraphicsRectItem(QRectF rect,
                             QGraphicsItemInterface parent,
                             QGraphicsScene scene)

  Creates a new QGraphicsRectItem with the specified bounds `rect`, `parent`, and then adds it to `scene`.

Method Detail

### rect

    public final QRectF rect()

  Returns the item's rectangle.

  See Also:
    `setRect`

### setRect

    public final void setRect(QRectF rect)

  Sets the item's rectangle to be the given `rect`.

  See Also:
    `rect`

### setRect

    public final void setRect(double x,
                              double y,
                              double w,
                              double h)

  Sets the item's rectangle to the rectangle defined by (`x`, `y`) and the given `w` and `h`.

  This convenience function is equivalent to calling `setRect(QRectF(x, y, width, height))`

  See Also:
    `rect`

### boundingRect

    public QRectF boundingRect()

  This function is reimplemented for internal reasons.

  Specified by:
    `boundingRect` in interface `QGraphicsItemInterface`
  Specified by:
    `boundingRect` in class `QAbstractGraphicsShapeItem`
  See Also:
    `shape`, `contains`, The Graphics View Coordinate System, `prepareGeometryChange`

### contains

    public boolean contains(QPointF point)

  This function is reimplemented for internal reasons.

  Specified by:
    `contains` in interface `QGraphicsItemInterface`
  Overrides:
    `contains` in class `QAbstractGraphicsShapeItem`
  See Also:
    `shape`, `boundingRect`, `collidesWithPath`

### extension

    public java.lang.Object extension(java.lang.Object variant)

  This function is reimplemented for internal reasons.

  Specified by:
    `extension` in interface `QGraphicsItemInterface`
  Overrides:
    `extension` in class `QAbstractGraphicsShapeItem`
  See Also:
    `setExtension`

### isObscuredBy

    public boolean isObscuredBy(QGraphicsItemInterface item)

  This function is reimplemented for internal reasons.

  Specified by:
    `isObscuredBy` in interface `QGraphicsItemInterface`
  Overrides:
    `isObscuredBy` in class `QAbstractGraphicsShapeItem`
  See Also:
    `opaqueArea`, `isObscured`

### opaqueArea

    public QPainterPath opaqueArea()

  This function is reimplemented for internal reasons.

  Specified by:
    `opaqueArea` in interface `QGraphicsItemInterface`
  Overrides:
    `opaqueArea` in class `QAbstractGraphicsShapeItem`
  See Also:
    `isObscuredBy`, `isObscured`, `shape`

### paint

    public void paint(QPainter painter,
                      QStyleOptionGraphicsItem option,
                      QWidget widget)

  This function is reimplemented for internal reasons.

  Specified by:
    `paint` in interface `QGraphicsItemInterface`
  Specified by:
    `paint` in class `QAbstractGraphicsShapeItem`

### setExtension

    public void setExtension(QGraphicsItem.Extension extension,
                             java.lang.Object variant)

  Specified by:
    `setExtension` in interface `QGraphicsItemInterface`
  Overrides:
    `setExtension` in class `QAbstractGraphicsShapeItem`
  See Also:
    `extension`

### shape

    public QPainterPath shape()

  This function is reimplemented for internal reasons.

  Specified by:
    `shape` in interface `QGraphicsItemInterface`
  Overrides:
    `shape` in class `QAbstractGraphicsShapeItem`
  See Also:
    `boundingRect`, `contains`, `prepareGeometryChange`

### supportsExtension

    public boolean supportsExtension(QGraphicsItem.Extension extension)

  Specified by:
    `supportsExtension` in interface `QGraphicsItemInterface`
  Overrides:
    `supportsExtension` in class `QAbstractGraphicsShapeItem`

### type

    public int type()

  This function is reimplemented for internal reasons.

  Specified by:
    `type` in interface `QGraphicsItemInterface`
  Overrides:
    `type` in class `QAbstractGraphicsShapeItem`

### fromNativePointer

    public static QGraphicsRectItem fromNativePointer(QNativePointer nativePointer)

  This function returns the QGraphicsRectItem instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD